Bug 200278 - [REVIVE] www/ganglia-webfrontend, Take MAINTAINER'ship
Summary: [REVIVE] www/ganglia-webfrontend, Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-05-18 08:56 UTC by Joseph Mingrone
Modified: 2015-06-27 13:28 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
shar for new port www/ganglia-web (69.73 KB, text/plain)
2015-05-18 08:56 UTC, Joseph Mingrone
no flags Details
shar for new port www/ganglia-web (69.91 KB, patch)
2015-05-19 02:31 UTC, Joseph Mingrone
no flags Details | Diff
shar for new port www/ganglia-web (81.26 KB, text/plain)
2015-05-20 05:06 UTC, Joseph Mingrone
no flags Details
new shar with recommended changes and new version 3.70 (81.67 KB, text/plain)
2015-05-26 03:30 UTC, Joseph Mingrone
no flags Details
poudriere testport output for 9/10 i386/amd64 (156.50 KB, application/x-tar)
2015-05-26 03:33 UTC, Joseph Mingrone
no flags Details
svn diff from old port sysutils/ganglia-webfrontend (95.67 KB, patch)
2015-05-26 04:02 UTC, Joseph Mingrone
no flags Details | Diff
new patch (96.02 KB, patch)
2015-06-11 03:10 UTC, Joseph Mingrone
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Mingrone freebsd_committer 2015-05-18 08:56:08 UTC
Created attachment 156866 [details]
shar for new port www/ganglia-web

This port provides the web UI to sysutils/ganglia-monitor-core.
Comment 1 Joseph Mingrone freebsd_committer 2015-05-19 02:31:10 UTC
Created attachment 156919 [details]
shar for new port www/ganglia-web

shar for new port www/ganglia-web
Comment 2 Joseph Mingrone freebsd_committer 2015-05-20 05:06:07 UTC
Created attachment 156972 [details]
shar for new port www/ganglia-web
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-25 03:55:13 UTC
For reference:

ganglia-webfrontend (3.1.7_3) existed in the sysutils/ category until:

DEPRECATED: Not staged. See http://lists.freebsd.org/pipermail/freebsd-ports-announce/2014-May/000080.html
Expired This port expired on: 2014-08-31

Question was also discussed with Joseph on IRC about the port name:

ganglia-webfrontend vs ganglia-monitor-web vs other OS package names.

Still an open question.

Requested Joseph take the resurrection of the previously existing port into account and update this issue according to his decisions on the above issues.
Comment 4 Joseph Mingrone freebsd_committer 2015-05-26 03:30:20 UTC
Created attachment 157144 [details]
new shar with recommended changes and new version 3.70
Comment 5 Joseph Mingrone freebsd_committer 2015-05-26 03:33:55 UTC
Created attachment 157145 [details]
poudriere testport output for 9/10 i386/amd64

Also:

% portlint -AC
looks fine.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-26 03:41:23 UTC
Thanks Joseph.

Apologies, perhaps I wasn't as clear as I should have been in comment 3.

Since ganglia-webfrontend existed in the past, this issue is effectively a change to resurrect/revive the previous port and then update it, not create a new port (for which shell archives are OK).

Accordingly, the attachment needs to be in diff format (via svn diff or diff -u) after having svn copy'd the last existing revision of the previously deleted port, then updating it. Use the -r argument to the svn copy command for that.

This way the name will remain the same (ganglia-webfrontend) as it was before.

Ping me on IRC (koobs @ efnet/freenode) if you have any questions, or need further assistance. You can also ask for help on #bsdports efnet or #freebsd-ports on freenode.
Comment 7 Joseph Mingrone freebsd_committer 2015-05-26 04:02:47 UTC
Created attachment 157146 [details]
svn diff from old port sysutils/ganglia-webfrontend
Comment 8 Joseph Mingrone freebsd_committer 2015-05-26 05:32:37 UTC
The attached diff was applied after:

% svn co https://svn0.us-east.FreeBSD.org/ports/head/sysutils/ganglia-webfrontend@r36697
Comment 9 Joseph Mingrone freebsd_committer 2015-05-26 10:27:28 UTC
Also in case it's helpful:

~/port_testing/ganglia-webfrontend % svn status
M       Makefile
M       distinfo
D       files/patch-.._configure.in
D       files/patch-conf.php.in
D       files/pkg-install.in
M       files/pkg-message.in
D       files/pkg-opts
M       pkg-plist
Comment 10 Joseph Mingrone freebsd_committer 2015-06-11 03:10:34 UTC
Created attachment 157629 [details]
new patch
Comment 11 commit-hook freebsd_committer 2015-06-27 13:12:08 UTC
A commit references this bug:

Author: riggs
Date: Sat Jun 27 13:11:31 UTC 2015
New revision: 390699
URL: https://svnweb.freebsd.org/changeset/ports/390699

Log:
  Resurrect sysutils/ganglia-webfrontend
  - Update to upstream version 3.7.0
  - Joseph Mingrone <jrm@ftfl.ca> takes maintainership
  - Stagify
  - Add LICENSE
  - General port modernisation

  PR:		200278
  Submitted by:	jrm@ftfl.ca (maintainer)
  Reviewed by:	koobs

Changes:
  head/MOVED
  head/sysutils/Makefile
  head/sysutils/ganglia-webfrontend/
  head/sysutils/ganglia-webfrontend/Makefile
  head/sysutils/ganglia-webfrontend/distinfo
  head/sysutils/ganglia-webfrontend/files/patch-.._configure.in
  head/sysutils/ganglia-webfrontend/files/patch-conf.php.in
  head/sysutils/ganglia-webfrontend/files/pkg-install.in
  head/sysutils/ganglia-webfrontend/files/pkg-message.in
  head/sysutils/ganglia-webfrontend/files/pkg-opts
  head/sysutils/ganglia-webfrontend/pkg-plist
Comment 12 Thomas Zander freebsd_committer 2015-06-27 13:28:08 UTC
Removed some superfluous @dir entries in pkg-plist, and added NO_ARCH=yes to the Makefile since the port installs only arch-agnostic files.